Bug 842778 - Review Request: avgtime - Time a command and print average, standard deviation
Review Request: avgtime - Time a command and print average, standard deviation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 843133
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 11:12 EDT by Richard W.M. Jones
Modified: 2012-08-03 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 07:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-07-24 11:12:28 EDT
Spec URL: http://oirase.annexia.org/reviews/avgtime/avgtime.spec
SRPM URL: http://oirase.annexia.org/reviews/avgtime/avgtime-0-0.1.git20120724.fc17.src.rpm

Description: Time a command and print average, standard deviation

'avgtime' works like the Linux 'time' command, except it runs the
command repeatedly and displays statistics:

- median
- average
- standard deviation
- 95% and 99% confidence intervals

Fedora Account System Username: rjones
Comment 1 Richard W.M. Jones 2012-07-24 11:12:59 EDT
Koji scratch build against F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4325855
Comment 2 Richard W.M. Jones 2012-07-24 11:14:07 EDT
rpmlint says:

avgtime.src:16: W: macro-in-comment %Y
avgtime.src:16: W: macro-in-comment %m
avgtime.src:16: W: macro-in-comment %d
avgtime.src: W: invalid-url Source0: avgtime-20120724.tar.gz
avgtime.x86_64: W: no-manual-page-for-binary avgtime
avgtime-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 1 errors, 5 warnings.

"macro-in-comment" ... impossible to fix those without
breaking the important tarball build instructions.

"invalid-url" ... it's not a URL, so no surprise.

"no-manual-page" ... we should probably write one, but
the -help output is comprehensive.
Comment 3 Michael Scherer 2012-07-24 16:47:53 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
Rpmlint
-------
Checking: avgtime-debuginfo-0-0.1.git20120724.fc17.x86_64.rpm
          avgtime-0-0.1.git20120724.fc17.x86_64.rpm
          avgtime-0-0.1.git20120724.fc17.src.rpm
avgtime-debuginfo.x86_64: E: debuginfo-without-sources
avgtime.x86_64: W: no-manual-page-for-binary avgtime
avgtime.src:16: W: macro-in-comment %Y
avgtime.src:16: W: macro-in-comment %m
avgtime.src:16: W: macro-in-comment %d
avgtime.src: W: invalid-url Source0: avgtime-20120724.tar.gz
3 packages and 0 specfiles checked; 1 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
avgtime-debuginfo-0-0.1.git20120724.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

avgtime-0-0.1.git20120724.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    libdl.so.2()(64bit)  
    libm.so.6()(64bit)  
    libphobos-ldc.so.59()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
avgtime-debuginfo-0-0.1.git20120724.fc17.x86_64.rpm:
    
    avgtime-debuginfo = 0-0.1.git20120724.fc17
    avgtime-debuginfo(x86-64) = 0-0.1.git20120724.fc17

avgtime-0-0.1.git20120724.fc17.x86_64.rpm:
    
    avgtime = 0-0.1.git20120724.fc17
    avgtime(x86-64) = 0-0.1.git20120724.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -v -b 842778
External plugins:



So the only issue is :

[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

just add -a on the cp call and that's good :)
Comment 4 Richard W.M. Jones 2012-07-25 04:56:26 EDT
Spec URL: http://oirase.annexia.org/reviews/avgtime/avgtime.spec

I didn't rebuild the SRPM because literally the only change
is cp -> cp -a.
Comment 5 Michael Scherer 2012-07-25 06:04:16 EDT
approved.
Comment 6 Richard W.M. Jones 2012-07-25 06:12:29 EDT
New Package SCM Request
=======================
Package Name: avgtime
Short Description: Time a command and print average, standard deviation
Owners: rjones
Branches: f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-07-25 09:00:25 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-25 12:24:14 EDT
avgtime-0-0.1.git20120724.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/avgtime-0-0.1.git20120724.fc17
Comment 9 Richard W.M. Jones 2012-07-25 12:25:02 EDT
FTBFS in Rawhide.  Appears to be a D compiler problem:
http://kojipkgs.fedoraproject.org//work/tasks/8950/4328950/build.log

+ ldc2 avgtime.d
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_setopt'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_global_cleanup'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_init'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_slist_append'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_pause'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_slist_free_all'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_duphandle'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_perform'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_cleanup'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_global_init'
/usr/lib/gcc/x86_64-redhat-linux/4.7.1/../../../../lib64/libphobos-ldc.so: undefined reference to `curl_easy_strerror'
Error: linking failed:
status: 1
collect2: error: ld returned 1 exit status
Comment 10 Fedora Update System 2012-07-25 23:59:07 EDT
avgtime-0-0.1.git20120724.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 MERCIER Jonathan 2012-07-26 11:39:32 EDT
should build now in rawhide

but you should build with %{_d_optflags} ⇒ https://fedoraproject.org/wiki/Packaging:D
Comment 12 Richard W.M. Jones 2012-07-26 13:15:17 EDT
Built in Rawhide, and I added the flags too.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4331688
Comment 13 Fedora Update System 2012-08-03 07:24:15 EDT
avgtime-0-0.1.git20120724.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.